# A mock student registry
# Run this under the debugger and see what the objects have
# inside them, click the > symbols on debugger

# Class definition is in its separate module, in the same directory
import student

# Module name is referred to when creating an object
student1 = student.Student("Barbara", 123)
student2 = student.Student("Angelina", 564)
student3 = student.Student("Brad", 897)

# Courses added using the setter method
student1.add_course("Basics in Programming")
student1.add_course("Basics in Line Dancing")
student1.add_course("Advanced Programming")
student2.add_course("Algorithms and Datastructures")

#Objects can be stored to a list
studentRegistry = [student1, student2, student3]

for i in studentRegistry:
    print(f"Student {i.get_name()} has registered for {i.get_courses()}")

# Try different ages here and see how they are calculated
student1.set_age(15)
age = student1.get_age()
if age < 18:
    print("sorry, you are underage")

# Try different grades and see what happens
if student1.add_grade(6):
    print("grade added successfully")
else:
    print("could not add grade to ", student1.get_name())

# The __str__ method is used automatically
for s in studentRegistry:
    print(s)
